Agora Java API Reference for Android

Public Types | Public Member Functions | Public Attributes | List of all members
agora::rtc::BeautyOptions Struct Reference

Image enhancement options. More...

`#include <AgoraBase.h>`

## Public Types
enum | LIGHTENING_CONTRAST_LEVEL { LIGHTENING_CONTRAST_LOW = 0, LIGHTENING_CONTRAST_NORMAL = 1, LIGHTENING_CONTRAST_HIGH = 2 }
| The contrast level. More...

## Public Member Functions
| BeautyOptions (LIGHTENING_CONTRAST_LEVEL contrastLevel, float lightening, float smoothness, float redness, float sharpness)

## Public Attributes
LIGHTENING_CONTRAST_LEVEL | lighteningContrastLevel
float | lighteningLevel
float | smoothnessLevel
float | rednessLevel
float | sharpnessLevel

## Detailed Description

Image enhancement options.

## Member Enumeration Documentation

## ◆ LIGHTENING_CONTRAST_LEVEL

enum agora::rtc::BeautyOptions::LIGHTENING_CONTRAST_LEVEL

The contrast level.

Enumerator
LIGHTENING_CONTRAST_LOW | 0: Low contrast level.
LIGHTENING_CONTRAST_NORMAL | 1: (Default) Normal contrast level.
LIGHTENING_CONTRAST_HIGH | 2: High contrast level.

## Member Data Documentation

## ◆ lighteningContrastLevel

LIGHTENING_CONTRAST_LEVEL agora::rtc::BeautyOptions::lighteningContrastLevel

The contrast level, used with the `lighteningLevel` parameter. The larger the value, the greater the contrast between light and dark. See `LIGHTENING_CONTRAST_LEVEL`.

## ◆ lighteningLevel

float agora::rtc::BeautyOptions::lighteningLevel

The brightening level, in the range [0.0,1.0], where 0.0 means the original brightening. The default value is 0.0. The higher the value, the greater the degree of brightening.

## ◆ smoothnessLevel

float agora::rtc::BeautyOptions::smoothnessLevel

The smoothness level, in the range [0.0,1.0], where 0.0 means the original smoothness. The default value is 0.0. The greater the value, the greater the smoothness level.

## ◆ rednessLevel

float agora::rtc::BeautyOptions::rednessLevel

The redness level, in the range [0.0,1.0], where 0.0 means the original redness. The default value is 0.0. The larger the value, the greater the redness level.

## ◆ sharpnessLevel

float agora::rtc::BeautyOptions::sharpnessLevel

The sharpness level, in the range [0.0,1.0], where 0.0 means the original sharpness. The default value is 0.0. The larger the value, the greater the sharpness level.